> ## Documentation Index
> Fetch the complete documentation index at: https://upstash.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Flow Control Key

> Pauses the delivery of messages associated with a specific flow-control key.

When a flow-control key is paused, messages associated with that key will not be delivered until the key is resumed.

Messages that are already in the waitlist will remain there. New incoming messages will be added directly to the waitlist.

While the key is paused, the current rate period continues to elapse and the existing rate count is preserved for that period.


## OpenAPI

````yaml /qstash/openapi.yaml post /v2/flowControl/{flowControlKey}/pause
openapi: 3.1.0
info:
  title: QStash REST API
  description: |
    QStash is a message queue and scheduler built on top of Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash.upstash.io
security:
  - bearerAuth: []
  - bearerAuthQuery: []
tags:
  - name: Messages
    description: Publish and manage messages
  - name: Queues
    description: Manage message queues
  - name: Schedules
    description: Create and manage scheduled messages
  - name: URL Groups
    description: Manage URL groups and endpoints
  - name: DLQ
    description: Dead Letter Queue operations
  - name: Logs
    description: Log operations
  - name: Signing Keys
    description: Manage signing keys
  - name: Flow Control
    description: Monitor flow control keys
paths:
  /v2/flowControl/{flowControlKey}/pause:
    post:
      tags:
        - Flow Control
      summary: Pause Flow Control Key
      description: >-
        Pauses the delivery of messages associated with a specific flow-control
        key.
      parameters:
        - name: flowControlKey
          in: path
          required: true
          schema:
            type: string
          description: The flow-control key to pause.
      responses:
        '200':
          description: The flow-control key has been paused.
        '400':
          description: Bad request. Returned when the flow-control key is not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````